Package org.jfree.layouting.layouter.context

## Class ContentSpecification

- java.lang.Object
- - org.jfree.layouting.layouter.context.ContentSpecification

-     public class ContentSpecification
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ContentSpecification​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ContentToken[]` | `getAlternateText​()` |
    `java.lang.String` | `getCloseQuote​(int level)` |
    `ContentToken[]` | `getContents​()` |
    `java.lang.String` | `getMoveTarget​()` |
    `java.lang.String` | `getOpenQuote​(int level)` |
    `QuotesPair[]` | `getQuotes​()` |
    `int` | `getQuotingLevel​()` |
    `ContentToken[]` | `getStrings​()` |
    `boolean` | `isAllowContentProcessing​()` |
    `boolean` | `isInhibitContent​()` |
    `void` | `setAllowContentProcessing​(boolean allowContentProcessing)` |
    `void` | `setAlternateText​(ContentToken[] strings)` |
    `void` | `setContents​(ContentToken[] contents)` |
    `void` | `setInhibitContent​(boolean inhibitContent)` |
    `void` | `setMoveTarget​(java.lang.String moveTarget)` |
    `void` | `setQuotes​(QuotesPair[] quotes)` |
    `void` | `setQuotingLevel​(int quotingLevel)` |
    `void` | `setStrings​(ContentToken[] strings)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContentSpecification

          public ContentSpecification​()

  - ### Method Detail

    - #### isInhibitContent

          public boolean isInhibitContent​()

    - #### setInhibitContent

          public void setInhibitContent​(boolean inhibitContent)

    - #### getQuotes

          public QuotesPair[] getQuotes​()

    - #### getStrings

          public ContentToken[] getStrings​()

    - #### setStrings

          public void setStrings​(ContentToken[] strings)

    - #### getAlternateText

          public ContentToken[] getAlternateText​()

    - #### setAlternateText

          public void setAlternateText​(ContentToken[] strings)

    - #### getOpenQuote

          public java.lang.String getOpenQuote​(int level)

    - #### getCloseQuote

          public java.lang.String getCloseQuote​(int level)

    - #### setQuotes

          public void setQuotes​(QuotesPair[] quotes)

    - #### getContents

          public ContentToken[] getContents​()

    - #### setContents

          public void setContents​(ContentToken[] contents)

    - #### isAllowContentProcessing

          public boolean isAllowContentProcessing​()

    - #### setAllowContentProcessing

          public void setAllowContentProcessing​(boolean allowContentProcessing)

    - #### getQuotingLevel

          public int getQuotingLevel​()

    - #### setQuotingLevel

          public void setQuotingLevel​(int quotingLevel)

    - #### getMoveTarget

          public java.lang.String getMoveTarget​()

    - #### setMoveTarget

          public void setMoveTarget​(java.lang.String moveTarget)